/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NavigationService } from './../navigation/navigation.service';
import { NumericTextBoxComponent } from '@progress/kendo-angular-inputs';
import { ChangeDetectorRef, NgZone } from '@angular/core';
import { PagerElementComponent } from './pager-element.component';
import { PagerContextService, PagerContextChanges } from "./pager-context.service";
import { ContextService } from '../common/provider.service';
import * as i0 from "@angular/core";
/**
 * Displays an input element which allows the typing and rendering of page numbers ([see example](slug:pager_template_grid#toc-using-built-in-pager-components)).
 */
export declare class PagerInputComponent extends PagerElementComponent {
    protected pagerContext: PagerContextService;
    private zone;
    navigationService: NavigationService;
    numericInput: NumericTextBoxComponent;
    constructor(ctx: ContextService, pagerContext: PagerContextService, zone: NgZone, navigationService: NavigationService, cd: ChangeDetectorRef);
    /**
     * @hidden
     *
     * @param {string} value
     *
     * @memberOf PagerInputComponent
     */
    handleKeyDown: (event: KeyboardEvent) => void;
    /**
     * @hidden
     *
     * @param {string} value
     *
     * @memberOf PagerInputComponent
     */
    handleBlur: () => void;
    /**
     * @hidden
     */
    get current(): number;
    get hasPages(): boolean;
    protected onChanges({ total, skip, pageSize }: PagerContextChanges): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PagerInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PagerInputComponent, "kendo-pager-input", never, {}, {}, never, never, true, never>;
}
